<?php

// 新しいtitleタグの有効化
add_theme_support( 'title-tag' );


// サイドバーのウィジェット
register_sidebar( array(
	'name' => __( 'フッター（左）' ),
	'id' => 'footer-l-widget',
	'before_widget' => '<div class="widget_box widget_list">',
	'after_widget' => '</div>',
	'before_title' => '<div class="widget_title">',
	'after_title' => '</div>',
) );

// フッターエリアのウィジェット
register_sidebar( array(
	'name' => __( 'フッター（右）' ),
	'id' => 'footer-r-widget',
	'before_widget' => '<div class="widget_box widget_list">',
	'after_widget' => '</div>',
	'before_title' => '<div class="widget_title">',
	'after_title' => '</div>',
) );


// アイキャッチ画像
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size(300, 200, true ); // トップページ


// カスタムナビゲーションメニュー
add_theme_support('menus');


// 画像にwidth=xxx,height=xxxを挿入しない
function remove_hwstring_from_image_tag( $html, $id, $alt, $title, $align, $size ) {
	list( $img_src, $width, $height ) = image_downsize($id, $size);
	$hwstring = image_hwstring( $width, $height );
	$html = str_replace( $hwstring, '', $html );
	return $html;
}
add_filter( 'get_image_tag', 'remove_hwstring_from_image_tag', 10, 6 );


// descriptionを入力するカスタムフィールド

// functions.phpに以下を追記
add_action('admin_menu', 'add_custom_fields');
add_action('save_post', 'save_custom_fields');
 
// 記事ページと固定ページでカスタムフィールドを表示
function add_custom_fields() {
	add_meta_box( 'my_sectionid', 'カスタムフィールド', 'my_custom_fields', 'post');
	add_meta_box( 'my_sectionid', 'カスタムフィールド', 'my_custom_fields', 'page');
}
 
function my_custom_fields() {
	global $post;
	$keywords = get_post_meta($post->ID,'keywords',true);
	$description = get_post_meta($post->ID,'description',true);

	echo '<p>キーワード（半角カンマ区切り）<br>';
	echo '<input type="text" name="keywords" value="'.esc_html($keywords).'" size="60" /></p>';

	echo '<p>ページの説明（description）160文字以内<br>';
	echo '<input type="text" style="width: 600px;height: 40px;" name="description" value="'.esc_html($description).'" maxlength="160" /></p>';
}
 
// カスタムフィールドの値を保存
function save_custom_fields( $post_id ) {

	if(!empty($_POST['keywords']))
		update_post_meta($post_id, 'keywords', $_POST['keywords'] );
	else delete_post_meta($post_id, 'keywords');
 
	if(!empty($_POST['description']))
		update_post_meta($post_id, 'description', $_POST['description'] );
	else delete_post_meta($post_id, 'description');
}

function my_description() {
 
	// カスタムフィールドの値を読み込む
	$custom = get_post_custom();
	if(!empty( $custom['keywords'][0])) {
 		 $keywords = $custom['keywords'][0];
	}
	if(!empty( $custom['description'][0])) {
		$description = $custom['description'][0];
	}
	?><?php if(is_home()): // トップページ 
		echo '<meta name="keywords" content="">';
		echo '<meta name="description" content="" />';
	?><?php elseif(is_single()): // 記事ページ ?>
		<meta name="keywords" content="<?php echo $keywords ?>">
		<meta name="description" content="<?php echo $description ?>">

	<?php elseif(is_page()): // 固定ページ ?>
		<meta name="keywords" content="<?php echo $keywords ?>">
		<meta name="description" content="<?php echo $description ?>">

	<?php elseif (is_category()): // カテゴリーページ ?>
		<meta name="description" content="<?php single_cat_title(); ?>の記事一覧" />

	<?php elseif (is_tag()): // タグページ ?>
		<meta name="robots" content="noindex, follow" />
		<meta name="description" content="<?php single_tag_title("", true); ?>の記事一覧" />

	<?php elseif(is_404()): // 404ページ ?>
		<meta name="robots" content="noindex, follow" />
		<title><?php echo 'お探しのページが見つかりませんでした'; ?></title>

	<?php else: // その他ページ ?>
		<meta name="robots" content="noindex, follow" />

	<?php endif; ?>
	<?php // noindex プライバシーポリシーとお問い合わせ ?>
	<?php if(is_page('policy') || is_page('contact')): ?>
		<meta name="robots" content="noindex, follow" />
	<?php endif; ?>
<?php } ?>
<?php
/* AMPチェック */
function amp_check() {
	$myAmp = false;
	$string = $post->post_content;
	if($_GET['amp'] === '1'){
	    $myAmp = true;
	}
	return $myAmp;
}
?>
