<!DOCTYPE html>

<?php 
	/* カテゴリページ */
	if (is_category()):
		$cat_now = get_the_category();
		$canonical_url = get_category_link( $cat_now[0]->cat_ID );
	/* 年月日アーカイブページ */
	elseif (is_month()):
		$canonical_url = get_month_link( $year, $month );
	/* 投稿ページ・固定ページ */
	elseif (is_singular()):
		$canonical_url = get_permalink();
	/* 検索ページ */
	elseif (is_search()):
		$canonical_url = get_search_link();
	/* トップページ */
	else :
		$canonical_url = site_url();
	endif;
?>
<?php if(amp_check()): // AMPヘッダー ?>
	<html amp>
	<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,minimum-scale=1,initial-scale=1">
	<link rel="canonical" href="<?php echo $canonical_url; ?>">
	<style amp-boilerplate>body{-webkit-animation:-amp-start 8s steps(1,end) 0s 1 normal both;-moz-animation:-amp-start 8s steps(1,end) 0s 1 normal both;-ms-animation:-amp-start 8s steps(1,end) 0s 1 normal both;animation:-amp-start 8s steps(1,end) 0s 1 normal both}@-webkit-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-moz-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-ms-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@-o-keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}@keyframes -amp-start{from{visibility:hidden}to{visibility:visible}}</style><noscript><style amp-boilerplate>body{-webkit-animation:none;-moz-animation:none;-ms-animation:none;animation:none}</style></noscript>
	<script async custom-element="amp-analytics" src="https://cdn.ampproject.org/v0/amp-analytics-0.1.js"></script>
	<script async src="https://cdn.ampproject.org/v0.js"></script>

	<?php /* サムネイル画像のサイズ取得 */ ?>
	<?php $thumbnail_id = get_post_thumbnail_id(); ?>
	<?php $eye_img = wp_get_attachment_image_src( $thumbnail_id , 'large' ); ?>

	<script type="application/ld+json">
	{
	    "@context": "http://schema.org",
	    "@type": "BlogPosting",
	    "headline": "<?php echo wp_get_document_title() ?>",
	    "image": {
	        "@type": "ImageObject",
	        "url": "<?php  echo $eye_img[0]; ?>",
	        "height": <?php  echo $eye_img[1]; ?>,
	        "width": <?php  echo $eye_img[2]; ?>
	    },
	    "datePublished": "<?php echo get_the_date('c'); ?>",
	    "dateModified": "<?php echo get_the_modified_date('c'); ?>",
	    "author": {
	        "@type": "Person",
	        "name": "Kazuki Kodama"
	    },
	    "publisher": {
	        "@type": "Organization",
	        "name": "宮崎県 転勤ガイド",
	        "logo": {
	        "@type": "ImageObject",
	            "url": "<?php echo bloginfo('template_url').'/images/amp_logo.jpg'; ?>",
	            "width": 307,
	            "height": 60
	        }
	    },
	    "description": "<?php echo get_post_meta($post->ID,'description',true); ?>"
	}
	</script>
	<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>
	<style amp-custom>
	<?php echo file_get_contents(get_template_directory() .'/style.css'); ?>
	</style>

	<?php
	if (is_user_logged_in()):
		_admin_bar_bump_cb();
	endif;
	?>

<?php else: // HTMLヘッダー ?>
	<html lang="ja">
	<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="amphtml" href="<?php echo $canonical_url.'?amp=1'; ?>">
	<link rel="stylesheet" href="<?php bloginfo( 'stylesheet_url' ); ?>">
	<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/images/favicon.ico">
	<?php wp_head(); ?>

<?php endif; ?>
<?php my_description(); ?>

<?php if(!amp_check()): // Google Analytics ?>
	<script>
	  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
	  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
	  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
	  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

	  ga('create', 'UA-105215192-1', 'auto');
	  ga('send', 'pageview');

	</script>
<?php endif; ?>

</head>
<body>

<?php if(amp_check()): // AMP用 Google Analytics ?>
<amp-analytics type="googleanalytics" id="analytics1">
    <script type="application/json">
        {
            "vars": {
                "account": "UA-105215192-Y" // 通常ページのトラッキング用と、 AMP 用ではプロパティを分けて設定することが推奨
            },
            "triggers": {
                "trackPageview" : {
                    "on": "visible",
                    "request": "pageview"
                }
            }
        }
    </script>
</amp-analytics>
<?php endif; ?>

<div id="container" class="outer">

	<!-- ヘッダー -->
	<?php if(is_front_page()): // ホームが表示されている場合 ?> 

		<header class="top_header">

			<?php if(amp_check()): // AMP ?> 
				<a href="<?php bloginfo('url'); ?>"><amp-img layout="responsive" src="<?php bloginfo('template_url'); ?>/images/top_logo.png" width="340" height="532" alt="宮崎県 転勤ガイド"></a>

			<?php else: // HTML ?> 
				<a href="<?php bloginfo('url'); ?>"><img src="<?php bloginfo('template_url'); ?>/images/top_logo.png" alt="宮崎県 転勤ガイド"></a>

			<?php endif; ?> 

			<h1 class="inner">キレイごとばかりのガイドブックには載ってない宮崎のリアル</h1>

		</header>

	<?php else: // ホーム以外のページが表示されている場合 ?>

		<header class="page_header inner">

			<!-- ロゴ -->
			<div class="page_logo">

				<?php if(amp_check()): // AMPヘッダー ?>
					<a href="<?php bloginfo('url'); ?>"><amp-img layout="responsive" src="<?php bloginfo('template_url'); ?>/images/page_logo.png" width="446" height="92" alt="宮崎県 転勤ガイド"></a>

				<?php else: ?>
					<a href="<?php bloginfo('url'); ?>"><img src="<?php bloginfo('template_url'); ?>/images/page_logo.png" alt="宮崎県 転勤ガイド"></a>

				<?php endif; ?>
			
			</div>

			<!-- ナビゲーション -->
			<div>
				<nav>
				<?php
				$navi_menu = array(
					'menu' => 'navi_menu',
					'menu_class' => '',
					'menu_id' => '',
					'container' => '',
					'items_wrap' => '<ul>%3$s</ul>',
				);
				wp_nav_menu( $navi_menu );
				 ?>
				</nav>

			</div>
		</header>

	<?php endif; ?>

	<div id="main" class="inner">
