	<?php get_header(); ?>

		<!-- メインコンテンツ -->
		<div id="contents">

			<?php if (is_category() || is_home() ) : // カテゴリページ・投稿一覧ページにカテゴリメニューを表示 ?>

				<div class="top_cate">

					<ul>

					<?php if (is_category() ) : ?>

						<li>
							<div class="balloon2">
								<a href="<?php bloginfo('url'); ?>/blog/">すべての記事</a>
							</div>
						</li>

						<?php
						/* 現在のカテゴリ－の取得 */
						$cat_now = get_the_category();
						$cat_now = $cat_now[0];

						/* 親カテゴリーのID取得 */
						$parent_id = $cat_now->category_parent;

						/* 現在のカテゴリーID/カテゴリー名取得 */
						$now_id = $cat_now->cat_ID; /* カテゴリID */
						$now_name = $cat_now->cat_name; /* カテゴリ名 */
						?>

					<?php else : ?>

						<li>
							<div class="balloon1">
								<a href="<?php bloginfo('url'); ?>/blog/">すべての記事</a>
							</div>
						</li>
							
					<?php endif; ?>

					<?php
					/* カテゴリ一覧の取得 */
					$categories = get_categories('parent=0'); //親カテゴリのみ取得
					foreach($categories as $category) :
					?>

						<li>

							<?php $cat_id = $category->term_id; ?>

							<?php if ($now_id == $cat_id) : ?>

								<div class="balloon1">
									<a href="<?php echo get_category_link( $category->term_id ); ?>"><?php echo $category->cat_name; ?></a>
								</div>

							<?php else : ?>

								<div class="balloon2">
									<a href="<?php echo get_category_link( $category->term_id ); ?>"><?php echo $category->cat_name; ?></a>
								</div>

							<?php endif; ?>
						
						</li>

					<?php endforeach; ?>

					</ul>
				</div>

			<?php elseif (is_date()): ?>

				<div class="top_title">
					<h1><?php echo get_the_date('Y年n月'); ?></h1>
				</div>

			<?php elseif (is_tag()): ?>

				<div class="top_title">
					<h1><?php single_tag_title(); ?>の記事一覧</h1>
				</div>

			<?php endif; ?>

			<div class="top_list">

				<?php if (have_posts()) : ?>

					<ul>

					<?php while (have_posts()) : the_post(); ?>

						<li>
							<div class="triangle">

								<?php if(has_post_thumbnail()) : ?>

									<?php
									$thumbnail_id = get_post_thumbnail_id();
									$eye_img = wp_get_attachment_image_src( $thumbnail_id , 'large' );
									$eye_alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true);
									?>

									<a href="<?php the_permalink() ?>">

										<?php /* AMP */ ?>
										<?php if(amp_check()): ?>
											<?php echo '<amp-img src="'.$eye_img[0].'" width="'.$eye_img[1].'" height="'.$eye_img[2].'" alt="'.$eye_alt.'" layout="responsive">'; ?>
										<?php /* HTML */ ?>
										<?php else: ?>
											<?php the_post_thumbnail() ?>
										<?php endif; ?>
									</a>

								<?php endif; ?>

								<span class="date"><?php the_time('Y年m月d日') ?></span>
								<p><a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></p>
							</div>
						</li>

					<?php endwhile; ?>

					</ul>

					<div class="page_navi">
						<ul>
						<li class="back"><?php previous_posts_link('<span>次のページへ</span>'); ?></li>
						<li class="next"><?php next_posts_link('<span>前のページへ</span>'); ?></li>
						</ul>
					</div>

				<?php else : ?>

					<div class="error_page">

					    	<h2 class="title">記事が見つかりませんでした。</h2>
					    	<p>検索で見つかるかもしれません。</p>
					    	<?php get_search_form(); ?>
					    	
					</div>

				<?php endif; ?>

			</div>
		</div>

	<?php get_footer(); ?>
