<?php // カテゴリ情報から関連記事を10個ランダムに呼び出す
$categories = get_the_category($post->ID);
$category_ID = array();

foreach($categories as $category):
	array_push( $category_ID, $category -> cat_ID);
endforeach ;

$args = array(
  'post__not_in' => array($post -> ID),
  'posts_per_page'=> 10,
  'category__in' => $category_ID,
  'orderby' => 'rand',
);

$query = new WP_Query($args);
?>

<?php if( $query -> have_posts() ): ?>

	<ul>

	<?php while ($query -> have_posts()) : $query -> the_post(); ?>

		<li>

			<div class="relation_thumb">

				<a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"> 

					<?php
					//サムネイルの画像URLを取得
					$thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'post-thumbnails' );

					//サムネイルの画像altを取得
					$thumb_id = get_post_thumbnail_id( $post->ID );
					$thumb_alt = get_post_meta($thumb_id, '_wp_attachment_image_alt', true);
					?>

					<!-- サムネイルを持っているとき -->
				        <?php if ( has_post_thumbnail() ): ?>
						<img src="<?php echo $thumb['0']; ?>" alt="<?php echo $thumb_alt; ?>">
					<?php else: // サムネイルを持っていないとき ?>
						<img src="<?php echo get_template_directory_uri(); ?>/images/noimage.png" alt="NO IMAGE">
					<?php endif; ?>
				</a>

			</div>

			<div class="relation_cont">

				<span class="relation_title">
					<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
				</span>

				<p class="relation_substr">
					<!-- 記事本文の抜粋を70文字だけ取り出す -->
					<?php echo mb_substr( strip_tags( $post->post_content  ), 0, 70 ) . ''; ?> 
				</p>

				<p class="relation_read"><a href="<?php the_permalink(); ?>">記事を読む</a></p>

			</div>

  		</li>

  	<?php endwhile; ?>

	</ul>

<?php else: ?>

	<div class="relation_error">
			<p>関連記事はありませんでした。</p>
	</div>

<?php endif;  ?>

<?php wp_reset_postdata(); ?>
