<?php
/*
Template Name: トップページ
*/
?>

	<?php get_header(); ?>

		<!-- メインコンテンツ -->
		<div id="contents">

			<div class="top_cate">
				<ul>
				<li>
					<div class="balloon1">
						<a href="<?php bloginfo('url'); ?>/blog/">すべての記事</a>
					</div>
				</li>

				<?php
				/* カテゴリ一覧の取得 */
				$categories = get_categories('parent=0'); //親カテゴリのみ取得
				foreach($categories as $category) :
				?>
					<li>
						<div class="balloon2">
							<a href="<?php echo get_category_link( $category->term_id ); ?>"><?php echo $category->cat_name; ?></a>
						</div>
					</li>
				<?php endforeach; ?>
				</ul>
			</div>

			<?php /* 1ページに表示する最大投稿数の取得 */ ?>
			<?php $max_page = get_option('posts_per_page'); ?>

			<?php /* 最新記事を表示する件数 */ ?>
			<?php $paged = get_query_var('paged'); ?>
			<?php query_posts("posts_per_page=$max_page&paged=$paged"); ?>

			<div class="top_list">

				<ul>
				<?php if (have_posts()) : ?>

					<?php while (have_posts()) : the_post(); ?>

						<li>
							<div class="triangle">

								<?php if(has_post_thumbnail()) : ?>
									<?php
									$thumbnail_id = get_post_thumbnail_id();
									$eye_img = wp_get_attachment_image_src( $thumbnail_id , 'large' );
									$eye_alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true);
									?>
									<a href="<?php the_permalink() ?>">
										<?php /* AMP */ ?>
										<?php if(amp_check()): ?>
											<?php echo '<amp-img src="'.$eye_img[0].'" width="'.$eye_img[1].'" height="'.$eye_img[2].'" alt="'.$eye_alt.'" layout="responsive">'; ?>
										<?php /* HTML */ ?>
										<?php else: ?>
											<?php the_post_thumbnail('medium') ?>
										<?php endif; ?>
									</a>
								<?php endif; ?>

								<span class="date"><?php the_time('Y年m月d日') ?></span>
								<p><a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></p>
							</div>
						</li>

					<?php endwhile; ?>

					<?php /* 投稿記事の全件数を取得 */ ?>
					<?php $count_posts = wp_count_posts(); ?>
					<?php $posts = $count_posts->publish; ?>

					<?php if($max_page < $posts) : ?>
						<div class="top_more">
							<a href="<?php bloginfo('url'); ?>/blog/page/2/">最新記事をもっと見る</a>
						</div>
					<?php endif; ?>

				</ul>

				<?php else : ?>

					<div class="error_page">

					    	<h2 class="title">記事が見つかりませんでした。</h2>
					    	<p>検索で見つかるかもしれません。</p>
					    	<?php get_search_form(); ?>
					    	
					</div>

				<?php endif; ?>

			</div>
				
		</div>

	<?php get_footer(); ?>
